
QGIS Application - Bug report #13185

Qgis Layer Properties Cancel function it`s not working

2015-08-05 09:31 AM - baditaflorin -

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21247

Description

If i press Apply, i will see what was modified on the map.

If i pres then Cancel, i will remain with the latest modification

Expected behavior : Revert to the style that i had before, not see the new style, even if i hit cancel.

Related issues:

Duplicates QGIS Application - Bug report # 3761: "Cancel" button in Symbol pr... Closed

History

#1 - 2015-08-21 12:01 PM - Anita Graser

- OS version deleted (7)

- Operating System deleted (windows)

Imho, the intended and implemented behavior is:

    -  OK: Apply settings and close dialog

    -  Apply: Apply settings but leave dialog open

    -  Cancel: Close dialog without applying the settings

There is no "test these settings (but I might change my mind)" button right now.

#2 - 2015-08-21 12:03 PM - Anita Graser

- Status changed from Open to Closed

With the redesign of the style dialog, I think this is not an issue anymore. Please reopen if necessary.
